@import url("https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;500;600;800&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "League Spartan", sans-serif;
}
.first-page {
  height: 100vh;
}
.main {
  height: 100vh;
  background-image: url("../images/hero4.png");
  background-size: 100% 135%;
}
.navbar {
  background-color: #e3e6f3;
  box-shadow: 0px 0px 20px #c7c9ca;
  position: fixed;
  z-index: 999;
  width: 100%;
}
.navbar-nav {
  font-size: 1.1rem;
}
.navbar-nav a {
  position: relative;
}
.navbar-nav a::after {
  content: "";
  position: absolute;
  background-color: teal;
  width: 0%;
  height: 2px;
  left: 25px;
  bottom: 0px;
  color: black;
  transition: all 0.6s;
}

.navbar-nav a:hover::after {
  width: 60%;
}
.navbar-nav a:first-child {
  color: teal !important;
}
.navbar-nav a:first-child::after {
  content: "";
  position: absolute;
  background-color: teal;
  width: 60%;
  height: 2px;
  left: 25px;
  bottom: 0px;
}
.navbar-nav a:hover {
  color: teal;
}
.main-description {
  height: 100%;
  padding: 0em 8em;
  letter-spacing: 2px;
}
.main-description .text-header,
.main-description .shop-btn {
  color: teal;
}
.main-description .shop-btn {
  background-image: url(../images/button.png);
  background-repeat: no-repeat;
  padding: 4.2em;
}
.details {
  font-size: 13px;
  color: teal;
  padding: 3px;
}
.card-details {
  width: 12.4em;
}
.card-details:hover {
  box-shadow: 0px 0px 15px rgb(233, 233, 233);
}
.prouduct-header {
  font-size: 3em;
  letter-spacing: 2px;
  margin-top: 1.5em;
}
.cart {
  width: 2.5em;
  height: 2em;
  bottom: 1em;
}
.services {
  background-image: url(../images/b2.jpg);
  background-size: cover;
  padding: 5em;
}
.explore-btn:hover.services:focus-visible {
  outline: none;
}
.explore-btn:hover {
  background-color: teal;
  color: white;
  border-color: transparent;
}
.header-2 {
  font-size: 4em;
}
.card:hover {
  box-shadow: 0px 0px 15px rgb(233, 233, 233);
}
.offer-1 {
  background-image: url(../images/b17.jpg);
  background-size: 100% 100%;
  height: 25em;
}
.offer-2 {
  background-image: url(../images/b10.jpg);
  background-size: 100% 100%;
  height: 25em;
}
.learn-more-btn {
  background-color: inherit;
  color: white;
  border: 1px solid white;
}
.Collection-btn {
  background-color: inherit;
  color: white;
  border: 1px solid white;
}
.offer-1:hover .learn-more-btn {
  background-color: teal;
}
.offer-2:hover .Collection-btn {
  background-color: teal;
}
.offer-3 {
  background-image: url(../images/b7.jpg);
  background-size: 100% 100%;
  padding: 3.7em 1em;
}
.offer-4 {
  background-image: url(../images/b4.jpg);
  background-size: 100% 100%;
  padding: 3.7em 1em;
}
.offer-5 {
  background-image: url(../images/b18.jpg);
  background-size: 100% 100%;
  padding: 3.7em 1em;
}
.sign-up {
  background-image: url(../images/b2.jpg);
  background-size: cover;
}
.input-email {
  width: 75%;
  border-radius: 8px 0px 0px 8px;
  margin-left: 4em;
}
.input-email:focus-visible {
  outline: none;
}
.sign-up-btn {
  border-radius: 0px 8px 8px 0px;
  width: 6em;
  color: white;
  background-color: teal;
  padding: 12px;
}
.input-email,
.sign-up-btn {
  height: 2.6em;
  border: none;
}
.app-image,
.play-image {
  border: 1px solid teal;
  border-radius: 8px;
}
.media:hover {
  color: teal;
}

@media screen and (max-width: 668px) {
  .main-description {
    padding-left: 1em;
  }
}
@media screen and (max-width: 420px) {
  .card-details {
    width: 20em;
  }
  .img {
    width: 100%;
  }
}
@media screen and (max-width: 992px) and (min-width: 768px) {
  .offer-3,
  .offer-4,
  .offer-5 {
    width: 21.6em;
  }
}
@media screen and (max-width: 992px) {
  .sign-up .container .input-button {
    width: 100% !important;
  }
}
